=== debian/changelog ===
moonlight-qt (6.1.0-0deepin1) unstable; urgency=medium

  * New upstream release

 -- Cryolitia <cryolitia@deepin.org>  Mon, 16 Jun 2025 16:40:29 +0800
