=== debian/control ===
Source: moonlight-qt
Section: net
Priority: optional
Maintainer: Cryolitia <cryolitia@deepin.org>
Build-Depends:
 libegl1-mesa-dev, libgl1-mesa-dev, libopus-dev, libsdl2-dev, libsdl2-ttf-dev, libssl-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libva-dev, libvdpau-dev, libxkbcommon-dev, wayland-protocols, libdrm-dev,
 qt6-base-dev, qt6-declarative-dev, libqt6svg6-dev, qml6-module-qtquick-controls, qml6-module-qtquick-templates, qml6-module-qtquick-layouts, qml6-module-qtqml-workerscript, qml6-module-qtquick-window, qml6-module-qtquick,
 libplacebo-dev, ffmpeg
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/moonlight-stream/moonlight-qt
Vcs-Browser: https://github.com/deepin-community/moonlight-qt
Vcs-Git: https://github.com/moonlight-community/moonlight-qt.git

Package: moonlight-qt
Architecture: any
Depends:
 wayland-protocols,
 ffmpeg,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Moonlight PC is an open source PC client for NVIDIA GameStream and Sunshine
 Moonlight (formerly Limelight) is an open source implementation of NVIDIA's
 GameStream protocol. It implemented the protocol used by the NVIDIA Shield and
 wrote a set of 3rd party clients.
 .
 You can stream your collection of PC games from your gaming PC to any
 supported device and play them remotely. Moonlight is perfect for gaming on
 the go without sacrificing the graphics and game selection available on PC.
