=== debian/rules ===
#!/usr/bin/make -f

export PATH=/usr/lib/qt6/bin/:$(shell printenv PATH)
export QT_SELECT=qt6

export DEB_LDFLAGS_MAINT_APPEND=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddir=build-moonlight-qt -- ../moonlight-qt.pro

override_dh_auto_build:
	dh_auto_build --builddir=build-moonlight-qt

override_dh_auto_install:
	dh_auto_install --builddir=build-moonlight-qt
