=== debian/watch ===
version=4
https://github.com/moonlight-stream/moonlight-qt/tags .*/v?(\d.*)@ARCHIVE_EXT@
